System.Design 2.0.0.0

Classes that implement the interface retrieve schema information from a data store and return it to the user interface, typically to populate UI elements that enable the user to specify the data-store object that they want to work with.

The interface provides two methods: the method, which returns the requested schema objects, and the method, which indicates whether a specified data-schema object is supported by the data store.

Defines methods for retrieving data-store schema information.

- Method
  2.0.0.0
  System.Collections.ICollection ``

  The method returns a collection of all the specified schema objects in the data store.

  See the class for the list of schema objects supported by the .NET Framework. Additional schema objects can be added to the class by creating a derived type.

  If the data store does not support the requested schema object, the method should return null. You can use the method to determine whether a data store supports the requested schema object before calling the method, to avoid returning null to your application.

  If the data store supports the requested object, but does not contain any instances, the method should return an empty collection.

  Gets a collection of specified schema items.

  A collection of schema objects of the specified type.

  The schema objects to return.
- Method
  2.0.0.0
  System.Boolean ``

  The method indicates whether the data store supports a specified data-schema object. If the data store does not support the specified object, the method should return false.

  You can add tests for additional data-schema objects by deriving from the class.

  Returns a value indicating whether the data store contains the specified data-schema object.

  true if the data store supports the specified data-schema object; otherwise, false.

  The schema objects to return.